| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalMemberDetail Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalMemberDetail defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalMemberDetail ()
| Default constructor.
eProsima_user_DllExport | ~MinimalMemberDetail ()
| Default destructor.
eProsima_user_DllExport | MinimalMemberDetail (const MinimalMemberDetail &x)
| Copy constructor.
eProsima_user_DllExport | MinimalMemberDetail (MinimalMemberDetail &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalMemberDetail & | operator= (const MinimalMemberDetail &x)
| Copy assignment.
eProsima_user_DllExport MinimalMemberDetail & | operator= (MinimalMemberDetail &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalMemberDetail &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalMemberDetail &x) const
| Comparison operator.
eProsima_user_DllExport void | name_hash (const NameHash &_name_hash)
| This function copies the value in member name_hash.
eProsima_user_DllExport void | name_hash (NameHash &&_name_hash)
| This function moves the value in member name_hash.
eProsima_user_DllExport const NameHash & | name_hash () const
| This function returns a constant reference to member name_hash.
eProsima_user_DllExport NameHash & | name_hash ()
| This function returns a reference to member name_hash.

## Detailed Description

This class represents the structure MinimalMemberDetail defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalMemberDetail() [1/3]

eProsima_user_DllExport MinimalMemberDetail | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalMemberDetail()

eProsima_user_DllExport ~MinimalMemberDetail | ( |  | ) |

inline

Default destructor.

## ◆ MinimalMemberDetail() [2/3]

eProsima_user_DllExport MinimalMemberDetail | ( | const MinimalMemberDetail & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalMemberDetail that will be copied.

## ◆ MinimalMemberDetail() [3/3]

eProsima_user_DllExport MinimalMemberDetail | ( | MinimalMemberDetail && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalMemberDetail that will be copied.

## Member Function Documentation

## ◆ name_hash() [1/4]

eProsima_user_DllExport NameHash & name_hash | ( |  | ) |

inline

This function returns a reference to member name_hash.

Returns
  Reference to member name_hash

## ◆ name_hash() [2/4]

eProsima_user_DllExport const NameHash & name_hash | ( |  | ) | const

inline

This function returns a constant reference to member name_hash.

Returns
  Constant reference to member name_hash

## ◆ name_hash() [3/4]

eProsima_user_DllExport void name_hash | ( | const NameHash & | _name_hash | ) |

inline

This function copies the value in member name_hash.

Parameters

  _name_hash | New value to be copied in member name_hash

## ◆ name_hash() [4/4]

eProsima_user_DllExport void name_hash | ( | NameHash && | _name_hash | ) |

inline

This function moves the value in member name_hash.

Parameters

  _name_hash | New value to be moved in member name_hash

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalMemberDetail & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalMemberDetail object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalMemberDetail & operator= | ( | const MinimalMemberDetail & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalMemberDetail that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalMemberDetail & operator= | ( | MinimalMemberDetail && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalMemberDetail that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalMemberDetail & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalMemberDetail object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp